#
# spec file for package mirrma (Version 1.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mirrma
Release:      17
Copyright:    1995 by Holger Schemel.
Group: 
Provides:     mirrormagic 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.3
Summary:      Arcade style game for color X11 with stereo sounds.
Source: mirrormagic-1.3.tar.gz
Patch: mirrormagic-1.3.dif
%description
A game like "Mindbender" (Amiga) or "Deflektor" (Atari ST).
This is a port of a program I wrote for the Amiga in 1989.
Comes with full source code.

Authors:
--------
    Holger Schemel <aeglos@valinor.owl.de>

%prep
%setup -n mirrormagic-1.3
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
touch RAY.names
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/mirrormagic
%dir /usr/lib/mirrormagic
%dir /usr/lib/mirrormagic/graphics
%dir /usr/lib/mirrormagic/sounds
%dir /var/games
%dir /var/games/mirrormagic
/usr/X11R6/bin/mirrormagic
%doc /usr/doc/packages/mirrormagic/CHANGES
%doc /usr/doc/packages/mirrormagic/COPYRIGHT
%doc /usr/doc/packages/mirrormagic/DISCLAIMER
%doc /usr/doc/packages/mirrormagic/INSTALLATION
%doc /usr/doc/packages/mirrormagic/README
%doc /usr/doc/packages/mirrormagic/mirrormagic.lsm
/usr/lib/mirrormagic/graphics/DoubleRayDoor.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayDoorMaske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayFont.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayFont2.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayFont2Maske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayFontMaske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayMaskeF.xbm
/usr/lib/mirrormagic/graphics/DoubleRayScreen.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayScreenMaske.xbm
/usr/lib/mirrormagic/graphics/mirrormagic_icon.xbm
/usr/lib/mirrormagic/graphics/mirrormagic_iconmask.xbm
/usr/lib/mirrormagic/sounds/amoebe.8svx
/usr/lib/mirrormagic/sounds/antigrav.8svx
/usr/lib/mirrormagic/sounds/autsch.8svx
/usr/lib/mirrormagic/sounds/bong.8svx
/usr/lib/mirrormagic/sounds/fuel.8svx
/usr/lib/mirrormagic/sounds/halloffame.8svx
/usr/lib/mirrormagic/sounds/holz.8svx
/usr/lib/mirrormagic/sounds/hui.8svx
/usr/lib/mirrormagic/sounds/kabumm.8svx
/usr/lib/mirrormagic/sounds/kink.8svx
/usr/lib/mirrormagic/sounds/kling.8svx
/usr/lib/mirrormagic/sounds/laser.8svx
/usr/lib/mirrormagic/sounds/oeffnen.8svx
/usr/lib/mirrormagic/sounds/quiek.8svx
/usr/lib/mirrormagic/sounds/rhythmloop.8svx
/usr/lib/mirrormagic/sounds/roaaar.8svx
/usr/lib/mirrormagic/sounds/sirr.8svx
/usr/lib/mirrormagic/sounds/slurp.8svx
/usr/lib/mirrormagic/sounds/tyger.8svx
/usr/lib/mirrormagic/sounds/voyager.8svx
/usr/lib/mirrormagic/sounds/warnton.8svx
/usr/lib/mirrormagic/sounds/whoosh.8svx
/var/games/mirrormagic/RAY.level
/var/games/mirrormagic/RAY.names

